#ifndef __CPU_DETECT_H__
#define __CPU_DETECT_H__





#if defined (OPTI_P3) || defined(OPTI_P4)


#include	<emmintrin.h>
#include	<xmmintrin.h>
#include	<stdlib.h>

#include	<excpt.h>
#include	<string.h>




#ifdef OPTI_P3

extern int infoP3 ;
int testP3();

#endif




#ifdef OPTI_P4

extern int infoP4 ;
int testP4();

#endif



#endif

#endif